
/* 
###########################################################
  Title:       Six analog display
  Purpose:     Use a Nokia 3310 GLCD screen with the arduino to display analog values
  Created by:  Fileark. see Fileark.com for more info.
  Note:        Please reuse, repurpose, and redistribute this code.
  Note:        This code uses the Carlos Rodrigues PDC8544 LCD library  
###########################################################
 */


/*
 * PCD8544 - Interface with Philips PCD8544 (or compatible) LCDs.
 *
 * Copyright (c) 2010 Carlos Rodrigues <cefrodrigues@gmail.com>
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

/*
 * To use this sketch, connect the eight pins from your LCD like thus:
 *
 * Pin 1 -> +3.3V (rightmost, when facing the display head-on)
 * Pin 2 -> Arduino digital pin 3
 * Pin 3 -> Arduino digital pin 4
 * Pin 4 -> Arduino digital pin 5
 * Pin 5 -> Arduino digital pin 7
 * Pin 6 -> Ground
 * Pin 7 -> 10uF capacitor -> Ground
 * Pin 8 -> Arduino digital pin 6
 *
 * Since these LCDs are +3.3V devices, you have to add extra components to
 * connect it to the digital pins of the Arduino (not necessary if you are
 * using a 3.3V variant of the Arduino, such as Sparkfun's Arduino Pro).
 */



#include <PCD8544.h>

int Ai0 = A0;
int Ai1 = A1;
int Ai2 = A2;
int Ai3 = A3;
int Ai4 = A4;
int Ai5 = A5;
int Value0, Value1, Value2, Value3, Value4, Value5;


static PCD8544 lcd;

void setup() 
{
  // PCD8544-compatible displays may have a different resolution...
  lcd.begin(84, 48);
  
//  Serial.begin(9600);
//  Serial.println("www.filear.com");
  
//  delay (2000);
}


void loop() 
{
  
  Value0 = analogRead(Ai0); //Read the value of AI1 (pin0) and write it to Value1
  Value0 = ((Value0/3.448)+14);      //Scale the value 
  Value1 = analogRead(Ai1); //Read the value of AI1 (pin1) and write it to Value1
  Value1 = ((Value1/3.448)+14);      //Scale the value 
  Value2 = analogRead(Ai2); //Read the value of AI1 (pin2) and write it to Value1
  Value2 = ((Value2/3.448)+14);      //Scale the value 
  Value3 = analogRead(Ai3); //Read the value of AI1 (pin3) and write it to Value1
  Value3 = ((Value3/3.448)+14);      //Scale the value 
  Value4 = analogRead(Ai4); //Read the value of AI1 (pin4) and write it to Value1
  Value4 = ((Value4/3.448)+14);      //Scale the value 
  Value5 = analogRead(Ai5); //Read the value of AI1 (pin5) and write it to Value1
  Value5 = ((Value5/3.448)+14);     //Scale the value 

  lcd.clear();  
  
  lcd.setCursor(0, 0);
  lcd.print("AI 0 -");
  lcd.setCursor(0, 1);
  lcd.print("AI 1  -");
  lcd.setCursor(0, 2);
  lcd.print("AI 2 -");
  lcd.setCursor(0, 3);
  lcd.print("AI 3 -");
  lcd.setCursor(0, 4);
  lcd.print("AI 4 -");
  lcd.setCursor(0, 5);
  lcd.print("AI 5 -");
  
 
  lcd.setCursor(60, 0);
  lcd.print(Value0, DEC);
  lcd.setCursor(60, 1);
  lcd.print(Value1, DEC);
  lcd.setCursor(60, 2);
  lcd.print(Value2, DEC);
  lcd.setCursor(60, 3);
  lcd.print(Value3, DEC);
  lcd.setCursor(60, 4);
  lcd.print(Value4, DEC);
  lcd.setCursor(60, 5);
  lcd.print(Value5, DEC);



  
/*    Serial.print(" Value0-");
    Serial.print(Value0);
    Serial.print(" Value1-");
    Serial.print(Value1);
    Serial.print(" Value2-");
    Serial.print(Value2);
    Serial.print(" Value3-");
    Serial.print(Value3);
    Serial.print(" Value4-");
    Serial.print(Value4);
    Serial.print(" Value5-");
    Serial.println(Value5);  */
    
  delay(770);  
}

